classification
Title: mingw/cygwin do not accept asm file as extension source
Type: enhancement Stage: resolved
Components: Distutils Versions:
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: eric.araujo, rpetrov, shura_zam, steve.dower, tarek
Priority: normal Keywords: patch

Created on 2008-05-22 10:23 by shura_zam, last changed 2021-02-03 18:29 by steve.dower. This issue is now closed.

Files
File name Uploaded Description Edit
cygwinccompiler.diff shura_zam, 2008-05-22 10:23 Patch for correct problem review
Messages (5)
msg67185 - (view) Author: Alexandr Zamaraev (shura_zam) Date: 2008-05-22 10:23
mingw/cygwin do not accept asm file as extension source
msg81173 - (view) Author: Roumen Petrov (rpetrov) * Date: 2009-02-04 22:36
Hi shura_zam,
I test this patch in issue3871 but without success - setup.py don't try
to build ctypes module. May I ask you to post a sample.
msg108661 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2010-06-26 00:25
Roumen, does your patch in #3871 supercede this issue? Or is it impossible to tell without more info from the OP?
msg108696 - (view) Author: Roumen Petrov (rpetrov) * Date: 2010-06-26 09:13
Terry, my patch in #3871  don't supersede this issue.
In patch to #3871 for mingw host  I use same work-around as for all other platforms
Lets see the code of setup.py methods configure_ctypes...(..) :
.....
            # Add .S (preprocessed assembly) to C compiler source extensions.
            self.compiler.src_extensions.append('.S')
.....

a) the patch to this issue didn't works for me;
b) issue in not only for GCC compiler for cygwin&mingw targets
msg386414 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-02-03 18:29
Distutils is now deprecated (see PEP 632) and all tagged issues are being closed. From now until removal, only release blocking issues will be considered for distutils.

If this issue does not relate to distutils, please remove the component and reopen it. If you believe it still requires a fix, most likely the issue should be re-reported at https://github.com/pypa/setuptools
History
Date User Action Args
2021-02-03 18:29:08steve.dowersetstatus: open -> closed

nosy: + steve.dower
messages: + msg386414

resolution: out of date
stage: resolved
2014-03-13 20:49:13eric.araujosetassignee: tarek ->
components: + Distutils, - Distutils2
versions: - 3rd party
2010-09-30 00:25:31eric.araujosetversions: + 3rd party, - Python 2.6, Python 2.5, Python 3.1, Python 2.7, Python 3.2
2010-08-24 16:27:54terry.reedysetnosy: - terry.reedy
2010-08-24 15:31:37eric.araujosetdependencies: - msvc9compiler.py: add .asm extension
2010-08-24 15:31:09eric.araujosetnosy: + eric.araujo, tarek
versions: + Python 2.5, Python 3.1, Python 3.2
assignee: tarek
dependencies: + msvc9compiler.py: add .asm extension
components: + Distutils2, - Distutils
type: enhancement
2010-06-26 09:13:52rpetrovsetstatus: pending -> open

messages: + msg108696
2010-06-26 00:25:12terry.reedysetstatus: open -> pending
versions: + Python 2.7, - Python 2.5
nosy: + terry.reedy

messages: + msg108661
2009-02-04 22:36:52rpetrovsetnosy: + rpetrov
messages: + msg81173
2008-05-22 10:23:39shura_zamcreate